package BuildingPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class Machinery extends Building{

    public Machinery(){
        super();
 
        this.name = "Machinery";
        this.metalStartCost = 5750000;
        this.crystalStartCost = 3500000;
        this.deuteriumStartCost = 750000;
        this.costFactor = 1.5;
        
        this.button = GUI.machineryButton;
        this.textArea = GUI.machineryTextArea;
    }
    
    @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Increases ressource " 
                + "\n production efficiency"       
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
}
    