package BuildingPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class NaniteFactory extends Building{

    public NaniteFactory(){
        super();
 
        this.name = "Nanite factory";
        this.metalStartCost = 500000;
        this.crystalStartCost = 250000;
        this.deuteriumStartCost = 50000;
        this.costFactor = 2;
        
        this.button = GUI.naniteButton;
        this.textArea = GUI.naniteTextArea;
    }
    
    @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Halves ship and building" 
                + "\n production time"       
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
}
    