
package BuildingPackage;

import GamePackage.*;

public class ResearchFacility extends Building{

    public ResearchFacility(){
        super();
 
        this.name = "Research facility";
        this.metalStartCost = 200;
        this.crystalStartCost = 400;
        this.deuteriumStartCost = 200;
        this.costFactor = 2;
        
        this.button = GUI.researchButton;
        this.textArea = GUI.researchTextArea;
    }
   
       @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Allows Research and" 
                + "\n accelerates research time"       
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
    