
package BuildingPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class Terraformer extends Building{

    public Terraformer(){
        super();

        this.name = "Terraformer";
        this.metalStartCost = 500000;
        this.crystalStartCost = 1000000;
        this.deuteriumStartCost = 0;
        this.costFactor = 2;
        this.energyConsumptionFactor = 1000;
        
        this.button = GUI.terraformerButton;
        this.textArea = GUI.terraformerTextArea;
    }
    
    
   @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Max Building Number +10"  
                + "\n Energy demand: " +  Tools.convertNumber(energyConsumption)        
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
}
    