
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class ComputerTech extends Research{

    public ComputerTech(){
        super();
 
        this.name = "Computer Technology"; 
        this.metalStartCost = 10000;
        this.crystalStartCost = 2000;
        this.deuteriumStartCost = 3000;
        this.costFactor = 2;

        this.button = GUI.computerButton;
        this.textArea = GUI.computerTextArea;
    }
    
          @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Allows fleet attacks"
                + "\n (1 slot per 2 stages)"  
                + "\n"
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
