
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class EnergyTech extends Research{

    public EnergyTech(){
        super();
 
        this.name = "Energy Technology"; 
        this.metalStartCost = 0;
        this.crystalStartCost = 400;
        this.deuteriumStartCost = 200;
        this.costFactor = 2;

        this.button = GUI.energyButton;
        this.textArea = GUI.energyTextArea;
    }
    
          @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Energy production + 10%"
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
}
