
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class HyperspaceDrive extends Research{

    public HyperspaceDrive(){
        super();
 
        this.name = "Hyperspace Drive"; 
        this.metalStartCost = 5000;
        this.crystalStartCost = 10000;
        this.deuteriumStartCost = 3000;
        this.costFactor = 2;

        this.button = GUI.hyperspaceDriveButton;
        this.textArea = GUI.hyperspaceDriveTextArea;
    }
    
          @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Ship velocity (bS, dest, dread)"
                + "\n + 30%"  
                + "\n" 
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
}
