
package ResearchPackage;


import GamePackage.Tools;
import GamePackage.GameObject;
import java.util.ArrayList;
import java.util.List;

public class Research extends GameObject{
    
    
    //Research
    public static List<GameObject> list = new ArrayList<>();
    
    public static RessourceEngineering ressourceEng = new RessourceEngineering();    
    public static CombustionTech combustionTech = new CombustionTech();    
    public static EnergyTech energyTech = new EnergyTech();    
    public static HyperspaceDrive hyperspaceDrive = new HyperspaceDrive();    
    public static ImpulseTech impulseTech = new ImpulseTech();
    public static IntergalacticResearchNetwork intergalacticResearchNetwork = new IntergalacticResearchNetwork();
    public static LongRangeSensors longRangeSensors = new LongRangeSensors();    
    public static SpyTech spyTech = new SpyTech();    
    public static WeaponTech weaponTech = new WeaponTech();    
    public static ComputerTech computerTech = new ComputerTech(); 
    public static ArmorTech armorTech = new ArmorTech();    
    public static ShieldTech shieldTech = new ShieldTech(); 
        
    public static void add(){
            list.add(ressourceEng);
            list.add(combustionTech);
            list.add(energyTech);
            list.add(hyperspaceDrive);
            list.add(impulseTech);
            list.add(intergalacticResearchNetwork);
            list.add(longRangeSensors);
            list.add(spyTech);
            list.add(weaponTech);
            list.add(computerTech);
            list.add(armorTech);
            list.add(shieldTech);
        }  
    
    public static int getNumber(){
        int researchNumber=0;
        for(int i=0; i < list.size(); i++){
            researchNumber = researchNumber + list.get(i).stage; 
        }
        return researchNumber;
    }
    
    
    
    
    
    
    public Research (){
        super();
    }
    
   @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
    
    
}
