
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class RessourceEngineering extends Research{

    public RessourceEngineering(){
        super();
 
        this.name = "Ressource Engineering"; 
        this.metalStartCost = 2000000;
        this.crystalStartCost = 2000000;
        this.deuteriumStartCost = 2000000;
        this.costFactor = 2;

        this.button = GUI.ressourceEngButton;
        this.textArea = GUI.ressourceEngTextArea;
    }
    
    @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Reduces building costs"
                + "\n"  
                + "\n"
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
