
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class WeaponTech extends Research{

    public WeaponTech(){
        super();
 
        this.name = "Weapon Technology"; 
        this.metalStartCost = 400;
        this.crystalStartCost = 100;
        this.deuteriumStartCost = 0;
        this.costFactor = 2;

        this.button = GUI.weaponButton;
        this.textArea = GUI.weaponTextArea;
    }
    
    
               @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Ship weapons +10%"
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
}
