
package BuildingPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class FusionPowerPlant extends Building{

    public FusionPowerPlant(){
        super();
 
        this.name = "Fusion power plant";
        this.metalStartCost = 500;
        this.crystalStartCost = 200;
        this.deuteriumStartCost = 100;
        this.costFactor = 1.8;
        this.productionFactor = 30;
        
        this.button = GUI.fusionButton;
        this.textArea = GUI.fusionTextArea;
    }
    
    
   @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Energy production: " +  Tools.convertNumber(3600*productionRate)
                + "\n Deut consumption: " + Tools.convertNumber(3600*deutConsumption)      
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
}
    