
package BuildingPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class MassPortal extends Building{

    public MassPortal(){
        super();
 
        this.name = "Mass portal";
        this.metalStartCost = 2000000;
        this.crystalStartCost = 4000000;
        this.deuteriumStartCost = 2000000;
        this.costFactor = 2;
        
        this.button = GUI.portalButton;
        this.textArea = GUI.portalTextArea;
    }
    
    @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Reduces flight time and" 
                + "\n deuterium consumption"       
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
}
    