
package BuildingPackage;

import GamePackage.GUI;
import GamePackage.Tools;
import javax.swing.*;


public class Shipyard extends Building{
    
    public Boolean isWorking = false;

    public Shipyard(){
        super();
 
        this.name = "Shipyard";
        this.metalStartCost = 400;
        this.crystalStartCost = 120;
        this.deuteriumStartCost = 200;
        this.costFactor = 2;
        
        this.button = GUI.shipyardButton;
        this.textArea = GUI.shipyardTextArea;
    }
    
           @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Allows ship production and" 
                + "\n accelerates production time"       
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }

}
    
    
    