
package GamePackage;

import javax.swing.*;

public class GameObject {
    
    public boolean inProgress = false;
    public String name;
    public int stage;
    public int time;
    public int currentTime;
    public int metalStartCost;
    public int crystalStartCost;
    public int deuteriumStartCost;
    public double costFactor;
    public double metalCost;
    public double crystalCost;
    public double deuteriumCost;
    
    public JButton button;
    public JTextArea textArea;
    
    //especially for Buildings
    public double productionFactor;
    public double productionRate;
    public double energyConsumption;
    public double energyConsumptionFactor;
    public double ressourceCapacity;
    
    //especially for Ships
    public JTextField textField;
    public int number;
    public int numberToBuild;
    public double armor;
    public double currentArmor;
    public double groundShield;
    public double shield;
    public double currentShield;
    public double groundAttack;
    public double attack;
    public double cargoCapacity;
    public double groundVelocity;
    public double velocity;
    public double deutConsumption;
    public double shipFactorA;
    public double shipFactorB;
    public double shipFactorC;
    public long lost;
    public long lostTotal;
    
    public double impactFactor;
    

public GameObject() { }
    

}
