
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class ArmorTech extends Research{

    public ArmorTech(){
        super();
 
        this.name = "Armor Technology"; 
        this.metalStartCost = 500;
        this.crystalStartCost = 0;
        this.deuteriumStartCost = 0;
        this.costFactor = 2;

        this.button = GUI.armorButton;
        this.textArea = GUI.armorTextArea;
    }
    
       @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Ship armor + 10%"
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
