
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class CombustionTech extends Research{

    public CombustionTech(){
        super();
 
        this.name = "Combustion Technology"; 
        this.metalStartCost = 200;
        this.crystalStartCost = 0;
        this.deuteriumStartCost = 300;
        this.costFactor = 2;

        this.button = GUI.combustionButton;
        this.textArea = GUI.combustionTextArea;
    }
    
          @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Ship velocity (lF, sT, sD, recy)"
                + "\n + 10%"  
                + "\n"
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
}
