
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class ImpulseTech extends Research{

    public ImpulseTech(){
        super();
 
        this.name = "Impulse Technology"; 
        this.metalStartCost = 1000;
        this.crystalStartCost = 2000;
        this.deuteriumStartCost = 300;
        this.costFactor = 2;

        this.button = GUI.impulseButton;
        this.textArea = GUI.impulseTextArea;
    }
    
          @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Ship velocity (hF, cruis)"
                + "\n + 20%"  
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
