
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class IntergalacticResearchNetwork extends Research{

    public IntergalacticResearchNetwork(){
        super();
 
        this.name = "Intergalactic Research Network"; 
        this.metalStartCost = 120000;
        this.crystalStartCost = 200000;
        this.deuteriumStartCost = 80000;
        this.costFactor = 2;

        this.button = GUI.intergalacticButton;
        this.textArea = GUI.intergalacticTextArea;
    }
    
    
       @Override 
    public String toString()
    {
        return ( 
                "Intergalactic Research"  
                + "\n Network ("  +stage + ")"
                + "\n"  
                + "\n Halves research time"  
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
}
