
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class LongRangeSensors extends Research{

    public LongRangeSensors(){
        super();
 
        this.name = "Long-range sensors"; 
        this.metalStartCost = 150000;
        this.crystalStartCost = 90000;
        this.deuteriumStartCost = 75000;
        this.costFactor = 1.5;

        this.button = GUI.longRangeButton;
        this.textArea = GUI.longRangeTextArea;
    }
    
    
              @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Protects against attacker"
                + "\n and unprofitable businesses"  
                + "\n"
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
