
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class ShieldTech extends Research{

    public ShieldTech(){
        super();
 
        this.name = "Shield Technology"; 
        this.metalStartCost = 100;
        this.crystalStartCost = 300;
        this.deuteriumStartCost = 0;
        this.costFactor = 2;

        this.button = GUI.shieldButton;
        this.textArea = GUI.shieldTextArea;
    }
    
               @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Ship shield +10%"
                + "\n"  
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
