
package ResearchPackage;

import GamePackage.GUI;
import GamePackage.Tools;

public class SpyTech extends Research{

    public SpyTech(){
        super();
 
        this.name = "Spy Technology"; 
        this.metalStartCost = 100;
        this.crystalStartCost = 500;
        this.deuteriumStartCost = 100;
        this.costFactor = 2;

        this.button = GUI.spyButton;
        this.textArea = GUI.spyTextArea;
    }
    
    @Override 
    public String toString()
    {
        return ( 
                name + " ("+stage + ")"
                + "\n"  
                + "\n Allows and improves spying"
                + "\n on enemys"  
                + "\n"
                + "\n Metal cost: " + Tools.convertNumber(metalCost)
                + "\n Crystal cost: " + Tools.convertNumber(crystalCost)
                + "\n Deuterium cost: " + Tools.convertNumber(deuteriumCost)
                + "\n" 
                + "\n Time: " + Tools.convertTime(time) 
                
        );
    }
    
    
}
