
package ShipPackage;

import GamePackage.GUI;

public class BattleShip extends Ship {
    
    public BattleShip(){
        super();
 
        this.name = "BattleShip";
        this.groundShield = 200;
        this.groundAttack = 1000;
        this.cargoCapacity = 1500;
        this.groundVelocity = 10000;
        this.deutConsumption = 500;
        
        this.metalCost = 45000;
        this.crystalCost = 15000;
        this.deuteriumCost = 0;

        this.textField = GUI.battleShipTextField;
        this.button = GUI.battleShipButton;
        this.textArea = GUI.battleShipTextArea;
        
        this.shipFactorA = 15.998;
        this.shipFactorB = -399.92;
        this.shipFactorC = 0;
    }

    
}
